# icmp.h File Reference

`#include "lwip/arch.h"`
`#include "lwip/opt.h"`
`#include "lwip/pbuf.h"`
`#include "lwip/netif.h"`

Go to the source code of this file.

## Data Structures
struct | icmp_dur_hdr
struct | icmp_echo_hdr
struct | icmp_te_hdr
## Defines
#define | ICMP6_DUR 1
#define | ICMP6_TE 3
#define | ICMP6_ECHO 128
#define | ICMP6_ER 129
## Enumerations
enum | icmp_dur_type { ICMP_DUR_NET = 0, ICMP_DUR_HOST = 1, ICMP_DUR_PROTO = 2, ICMP_DUR_PORT = 3, ICMP_DUR_FRAG = 4, ICMP_DUR_SR = 5 }
enum | icmp_te_type { ICMP_TE_TTL = 0, ICMP_TE_FRAG = 1 }
## Functions
void | icmp_input (struct pbuf *p, struct netif *inp)
void | icmp_dest_unreach (struct pbuf *p, enum icmp_dur_type t)
void | icmp_time_exceeded (struct pbuf *p, enum icmp_te_type t)

## Define Documentation

#define ICMP6_DUR 1

#define ICMP6_ECHO 128

#define ICMP6_ER 129

#define ICMP6_TE 3

## Enumeration Type Documentation

enum icmp_dur_type

  | Enumeration values:
  ICMP_DUR_NET |
  ICMP_DUR_HOST |
  ICMP_DUR_PROTO |
  ICMP_DUR_PORT |
  ICMP_DUR_FRAG |
  ICMP_DUR_SR |

enum icmp_te_type

  | Enumeration values:
  ICMP_TE_TTL |
  ICMP_TE_FRAG |

## Function Documentation

void icmp_dest_unreach | ( | struct pbuf * | p,
|  | enum icmp_dur_type | t
| ) |

void icmp_input | ( | struct pbuf * | p,
|  | struct netif * | inp
| ) |

void icmp_time_exceeded | ( | struct pbuf * | p,
|  | enum icmp_te_type | t
| ) |